package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.Cockpit;
import com.lightinit.hsdatashow.entity.CockpitExample;

import java.util.ArrayList;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface CockpitMapper {
    long countByExample(CockpitExample example);

    int deleteByExample(CockpitExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Cockpit record);

    int insertSelective(Cockpit record);

    List<Cockpit> selectByExample(CockpitExample example);

    Cockpit selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Cockpit record, @Param("example") CockpitExample example);

    int updateByExample(@Param("record") Cockpit record, @Param("example") CockpitExample example);

    int updateByPrimaryKeySelective(Cockpit record);

    int updateByPrimaryKey(Cockpit record);

    List<ChartModel> getIndex(ArrayList<String> findIndexes);
}